Send Message
http
POST /api/v1/sessions/{sid}/runs/{rid}/messagesSend Message
operationId: send_message
Authentication
HTTPBearer
See browser access. Session mutations require a Bearer key.
Parameters
| Name | In | Required | Type | Description and constraints |
|---|---|---|---|---|
sid | path | Yes | string | format: "uuid" |
rid | path | Yes | string | format: "uuid" |
Idempotency-Key | header | No | string / null |
Request body
application/json: SendMessage
json
{
"$ref": "#/components/schemas/SendMessage"
}Responses
| Code | Description | Content |
|---|---|---|
| 202 | Successful Response | application/json: Accepted |
| 400 | Bad Request | application/json: ErrorResponse |
| 401 | Unauthorized | application/json: ErrorResponse |
| 403 | Browser sessions allow reading only (read_only_access). | application/json: ErrorResponse |
| 404 | Not Found | application/json: ErrorResponse |
| 409 | Conflict | application/json: ErrorResponse |
| 413 | Content Too Large | application/json: ErrorResponse |
| 415 | Unsupported Media Type | application/json: ErrorResponse |
| 422 | Unprocessable Content | application/json: ErrorResponse |
| 503 | Service Unavailable | application/json: ErrorResponse |
Response headers 202
Location: URL of the accepted run. string